<?php
if (post_password_required())
    return;
?>
<div id="comments" class="single-post-comments">
    <?php if (have_comments()) : ?>
        <h4 class="widget-title st-6"><span class="content">
            <?php
            printf(_n('%1$s Comment', '%1$s Comments',
                get_comments_number(), 'friday-news-lite'), 
                get_comments_number());
            ?> 
        </span><span class="divier"></span></h4>

        <div class="single-post-comments-content">
            <ul class="rs-ul">
                <?php
                wp_list_comments(array(
                    'walker' => null,
                    'style' => 'ul',
                    'short_ping' => true,
                    'callback' => 'friday_news_lite_comment_list',
                    'type' => 'all'
                ));
                ?>
            </ul>
        </div>

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>           
            <div class="kopa-page-links">  
                <?php
                paginate_comments_links(array(
                    'prev_text' => '<i class="fa fa-caret-left"></i>',
                    'next_text' => '<i class="fa fa-caret-right"></i>'
                ));
                ?>
            </div>
        <?php endif; ?>

        <?php if (!comments_open() && get_comments_number()) : ?>
            <blockquote><?php esc_html_e('Comments are closed.', 'friday-news-lite'); ?></blockquote>
        <?php endif; ?>
    <?php endif; ?>        
</div>

<?php friday_news_lite_comment_form(); ?>

<?php

function friday_news_lite_comment_form($args = array(), $post_id = null) {
    if (null === $post_id)
        $post_id = get_the_ID();

    $commenter = wp_get_current_commenter();
    $commeter_author = esc_attr($commenter['comment_author']);
    $commenter_author_email = esc_attr($commenter['comment_author_email']);
    $commenter_author_url = esc_attr($commenter['comment_author_url']);
    $user = wp_get_current_user();
    $user_identity = $user->exists() ? $user->display_name : '';
    $args = wp_parse_args($args);
    $args['format'] = current_theme_supports('html5', 'comment-form') ? 'html5' : 'xhtml';
    $req = get_option('require_name_email');
    $aria_req = ( $req ? "aria-required=true" : '' );
    $html5 = 'html5' === $args['format'];

    $fields = array();

    $fields['author'] = '<div class="row"><div class="col-xs-12 col-sm-6"><input aria-required="true" placeholder="'.esc_html__('Name*', 'friday-news-lite').'" value="'. $commeter_author . '" id="comment_name" name="author" class="valid" type="text">';

    $fields['email'] = '<input aria-required="true" placeholder="'.esc_html__('Email*', 'friday-news-lite').'" value="'. $commenter_author_email . '" id="comment_email" name="email" class="valid" type="text">';

    if(is_user_logged_in()){
        $fields['url'] = '<input aria-required="true" placeholder="'.esc_html__('Website', 'friday-news-lite').'" value="' . $commenter_author_url .'" id="comment_url" name="url" class="valid" type="text"></div>';
    }else{
        $fields['url'] = '<input aria-required="true" placeholder="'.esc_html__('Website', 'friday-news-lite').'" value="' . $commenter_author_url .'" id="comment_url" name="url" class="valid" type="text">';
    }

    $fields = apply_filters('comment_form_default_fields', $fields);

    if(is_user_logged_in()){
        $comment_field = '<div class="row"><div class="col-xs-12 col-sm-12"><textarea aria-required="true" placeholder="'.esc_html__('Your comments*', 'friday-news-lite').'" id="comment_message" name="comment" cols="88" rows="6"></textarea></div></div>';
    }else{
        $comment_field = '<div class="col-xs-12 col-sm-6 pull-right"><textarea aria-required="true" placeholder="'.esc_html__('Your comments*', 'friday-news-lite').'" id="comment_message" name="comment" cols="88" rows="6"></textarea></div></div>';
    }

    $defaults = array(
        'fields'               => $fields,
        'comment_field'        => $comment_field,
        'must_log_in'          => '<p class="must-log-in">' . sprintf(__('You must be <a href="%s">logged in</a> to post a comment.', 'friday-news-lite'), wp_login_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
        'logged_in_as'         => '<p class="logged-in-as">' . sprintf(__('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'friday-news-lite'), get_edit_user_link(), $user_identity, wp_logout_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
        'comment_notes_before' => '',
        'comment_notes_after'  => '',
        'id_form'              => 'comments-form',
        'id_submit'            => 'submit-comment',
        'title_reply'          => esc_html__('Leave a comment', 'friday-news-lite'),
        'title_reply_to'       => esc_html__('Leave a comment to %s', 'friday-news-lite'),
        'cancel_reply_link'    => esc_html__('(Cancel)', 'friday-news-lite'),
        'label_submit'         => esc_html__('Post Comment', 'friday-news-lite'),
        'format'               => 'xhtml',
    );
    $args = wp_parse_args($args, apply_filters('comment_form_defaults', $defaults));
    ?>
    <?php if (comments_open($post_id)) : ?>
        <?php
        do_action('comment_form_before');
        ?>
        <div id="respond" class="single-post-respond">
            <h4 class="widget-title st-6"><span class="content">            
                <?php comment_form_title($args['title_reply'], $args['title_reply_to']); ?>
                <?php cancel_comment_reply_link($args['cancel_reply_link']); ?>
            </span><span class="divier"></span></h4>

            <?php if (get_option('comment_registration') && !is_user_logged_in()) : ?>
                <?php echo wp_kses_post( $args['must_log_in'] ); ?>
                <?php
                do_action('comment_form_must_log_in_after');
                ?>
            <?php else : ?>            
                <form action="<?php echo site_url('/wp-comments-post.php'); ?>" method="post" id="<?php echo esc_attr($args['id_form']); ?>" class="comment-form clearfix" <?php echo esc_attr($html5 ? ' novalidate' : ''); ?>>                    
                    <?php
                    do_action('comment_form_top');                    

                    if (is_user_logged_in()) :                
                        echo apply_filters('comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity);                    
                        do_action('comment_form_logged_in_after', $commenter, $user_identity);
                    else :
                        do_action('comment_form_before_fields');
                        foreach ((array) $args['fields'] as $name => $field) {
                            echo apply_filters("comment_form_field_{$name}", $field) . "\n";
                        }
                        do_action('comment_form_after_fields');                    
                    endif; 
                    if(!is_user_logged_in()) : ?>
                        <p class="form-submit">
                            <input type="submit" value="<?php esc_html_e('Leave a comment', 'friday-news-lite'); ?>" id="<?php echo esc_attr($args['id_submit']); ?>">
                            <?php comment_id_fields($post_id); ?>             
                        </p></div>
                    <?php endif;
                    echo apply_filters('comment_form_field_comment', $args['comment_field']);
                    echo wp_kses_post($args['comment_notes_after']); 
                    ?>
                    <?php if(is_user_logged_in()) : ?>
                        <p class="form-submit">
                            <input type="submit" value="<?php esc_html_e('Leave a comment', 'friday-news-lite'); ?>" id="<?php echo esc_attr($args['id_submit']); ?>">
                            <?php comment_id_fields($post_id); ?>             
                        </p>
                    <?php endif; ?>
                    <?php do_action('comment_form', $post_id); ?>
                </form>
            <?php endif; ?>
        </div><!-- #respond -->
        <?php
        do_action('comment_form_after');
    else :
        do_action('comment_form_comments_closed');
    endif;
}

function friday_news_lite_comment_list($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    ?>
    <li <?php comment_class('clearfix'); ?> id="comment-<?php comment_ID(); ?>">
        <div class="entry-item">
            <div class="entry-thumb">
                <a href="">
                    <?php echo get_avatar($comment->comment_author_email, 100); ?>
                </a><span class="entry-time"><?php comment_time('M d,Y'); ?></span>
            </div>
            <div class="entry-box">
                <a href="<?php echo wp_kses_post( $comment->comment_author_url ); ?>" class="author-name"><?php echo wp_kses_post( $comment->comment_author ); ?></a>
                <?php comment_text(true); ?>
                <a href="#" class="cmt-reply">Reply</a>
                <?php comment_reply_link(array_merge($args, array('reply_text' => esc_html__('Reply', 'friday-news-lite'), 'depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                <?php edit_comment_link(esc_html__('Edit', 'friday-news-lite'), '&nbsp;/&nbsp;', ''); ?>
            </div>
        </div>
        <!-- /.entry-item-->                                                               
        <?php
    }
    