<!DOCTYPE html>
<html <?php language_attributes(); ?>>              
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />                
        <?php wp_head(); ?>
    </head>    
    <body <?php body_class(); ?>>
    <header id="kopa-main-header" class="main-header">
      <div class="bg-header wrapper"></div>
      <div class="top-header">
        <div class="wrapper">
          <div class="theme-descripton">
            <div class="inner">
              <p><?php bloginfo( 'description' ); ?></p>
            </div>
          </div>
          <div class="header-area">
            <?php if( $logo_top = get_theme_mod( 'logo_top' ) ) : ?>
              <div class="logo-box">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                  <img src="<?php echo esc_url( $logo_top ); ?>" alt="">
                </a>
              </div>
            <?php else : ?>
              <div class="logo-text">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                <?php if( is_front_page() ) : ?>
                  <h1><?php bloginfo('name'); ?></h1>
                <?php else : ?>
                  <div class="title"><?php bloginfo('name'); ?></div>
                <?php endif; ?>
                </a>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
      <div class="bottom-header">
        <div class="wrapper">
          <?php if (has_nav_menu( 'main-nav' )) : ?>
            <?php
              $args = array(
                'theme_location' => 'main-nav',
                'menu' => 'main-nav',
                'container' => 'div',
                'container_class' => 'nav-menu-desktop',
                'menu_class' => 'sf-menu',
              );
              wp_nav_menu( $args );
            ?>
            <div class="nav-menu-mobile">
              <div class="toggle-menu"><i class="fa fa-align-justify"></i></div>
              <?php
                $args = array(
                  'theme_location' => 'main-nav',
                  'menu' => 'main-nav',
                  'container' => 'div',
                  'container_class' => 'wrap-navgoco-menu',
                  'menu_class' => 'navgoco-menu',
                );
                if(class_exists( 'FTP_Mega_Menu_Walker_Nav_Menu') ){
                  $args['walker' ] = new  FTP_Mega_Menu_Walker_Nav_Menu();
                }
                wp_nav_menu( $args );
              ?>
            </div>
          <?php endif; ?>
          <div class="search-bar">
            <div id="sb-search" class="sb-search">
              <?php get_search_form(); ?>
            </div>
          </div>
        </div>
      </div>
    </header>