<?php

add_action('after_setup_theme', 'friday_news_lite_init');

function friday_news_lite_init(){	
	add_filter('kopa_customization_init_options', 'friday_news_lite_init_options');
}

function friday_news_lite_init_options($options){
	
	#Sections
	$options['sections'][] = array(
    'id'    => 'friday_news_lite_section_logo',
    'title' => esc_html__('Logo', 'friday-news-lite'));

    $options['sections'][] = array(
    'id'    => 'friday_news_lite_section_banner',
    'title' => esc_html__('Banner', 'friday-news-lite'));

    $options['sections'][] = array(
    'id'    => 'friday_news_lite_section_sticky_menu',
    'title' => esc_html__('Sticky Menu', 'friday-news-lite'));

    $options['sections'][] = array(
    'id'    => 'friday_news_lite_section_blog',
    'title' => esc_html__('Blog', 'friday-news-lite'));

    $options['sections'][] = array(
    'id'    => 'friday_news_lite_section_single',
    'title' => esc_html__('Single', 'friday-news-lite'));

    $options['sections'][] = array(
    'id'    => 'friday_news_lite_section_copyright',
    'title' => esc_html__('Copyright', 'friday-news-lite'));

	#LOGO
	#1. Top Logo
	$options['settings'][] = array(
		'settings'    => 'logo_top',
		'label'       => esc_html__('Logo Top', 'friday-news-lite'),
		'default'     => '',
		'type'        => 'image',
		'section'     => 'friday_news_lite_section_logo',
		'transport'   => 'refresh');
	#2. Bottom Logo
	$options['settings'][] = array(
		'settings'    => 'logo_bottom',
		'label'       => esc_html__('Logo Bottom', 'friday-news-lite'),
		'default'     => '',
		'type'        => 'image',
		'section'     => 'friday_news_lite_section_logo',
		'transport'   => 'refresh');

	#BANNER
	#1. Banner Image
	$options['settings'][] = array(
		'settings'    => 'banner_img',
		'label'       => esc_html__('Banner Image', 'friday-news-lite'),
		'default'     => '',
		'description' => esc_html__('Recommend size ( 728 x 90 ).', 'friday-news-lite'),
		'type'        => 'image',
		'section'     => 'friday_news_lite_section_banner',
		'transport'   => 'refresh');
	#2. Banner URL
	$options['settings'][] = array(
		'settings'    => 'banner_url',
		'label'       => esc_html__('Banner URL', 'friday-news-lite'),
		'default'     => '',
		'type'        => 'text',
		'section'     => 'friday_news_lite_section_banner',
		'transport'   => 'refresh');
	#3. Target
	$options['settings'][] = array(
		'settings'    => 'banner_target',
		'label'       => esc_html__('Target', 'friday-news-lite'),
		'default'     => '_blank',
		'choices'     => array(
			'_self'  => 'Open link in current tab',
			'_blank' => 'Open link in new tab'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_banner',
		'transport'   => 'refresh');

	#STICKY MENU
	#1. Sticky menu
	$options['settings'][] = array(
		'settings'    => 'sticky_menu',
		'label'       => esc_html__('Sticky Menu', 'friday-news-lite'),
		'default'     => 'enable',
		'choices'     => array(
			'enable'  => 'Enable',
			'disable' => 'Disable'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_sticky_menu',
		'transport'   => 'refresh');

	#BLOG
	#1. Custom excerpt
	$options['settings'][] = array(
		'settings'    => 'custom_excerpt_lenght',
		'label'       => esc_html__('Custom excerpt length', 'friday-news-lite'),
		'default'     => '55',
		'type'        => 'text',	
		'section'     => 'friday_news_lite_section_blog',
		'transport'   => 'refresh');

	#SINGLE
	#1. Created date
	$options['settings'][] = array(
		'settings'    => 'is-enable-post-created-date',
		'label'       => esc_html__('Created date', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#2. Comment count
	$options['settings'][] = array(
		'settings'    => 'is-enable-post-comment-counts',
		'label'       => esc_html__('Comments', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#3. Author
	$options['settings'][] = array(
		'settings'    => 'is-enable-post-author-info',
		'label'       => esc_html__('Author', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#4. About Author
	$options['settings'][] = array(
		'settings'    => 'is-enable-about-author',
		'label'       => esc_html__('About Author', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#5. Navigation
	$options['settings'][] = array(
		'settings'    => 'is-enable-other-posts',
		'label'       => esc_html__('Other Posts', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#6. Related Posts
	$options['settings'][] = array(
		'settings'    => 'is-enable-related-posts',
		'label'       => esc_html__('Related Posts', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			1 => 'Show',
			0 => 'Hide'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#6. Get Related Posts By
	$options['settings'][] = array(
		'settings'    => 'single-post-related-by',
		'label'       => esc_html__('Get Related Posts By', 'friday-news-lite'),
		'default'     => 1,
		'choices'     => array(
			'category' => 'Category',
			'post_tag' => 'Tag'
		),
		'type'        => 'radio',	
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');
	#1. Number Related Posts
	$options['settings'][] = array(
		'settings'    => 'single-post-related-limit',
		'label'       => esc_html__('Number Related Posts', 'friday-news-lite'),
		'default'     => '6',
		'type'        => 'text',
		'section'     => 'friday_news_lite_section_single',
		'transport'   => 'refresh');

	#COPYRIGHT
	#1. Copyright
	$options['settings'][] = array(
		'settings'    => 'copyright',
		'label'       => esc_html__('Copyright', 'friday-news-lite'),
		'default'     => '',
		'type'        => 'text',
		'section'     => 'friday_news_lite_section_copyright',
		'transport'   => 'refresh');

	return apply_filters( 'friday_news_lite_init_options', $options );
}