<?php

add_filter( 'kopa_layout_manager_settings', 'friday_news_lite_register_layouts');

function friday_news_lite_get_positions(){
	return apply_filters('friday_news_lite_get_positions', array(		
		'pos_top'        => esc_html__( 'Top', 'friday-news-lite' ),		
		'pos_middle'     => esc_html__( 'Middle', 'friday-news-lite' ),
		'pos_top_right'  => esc_html__( 'Top Right', 'friday-news-lite' ),
		'pos_right'      => esc_html__( 'Right', 'friday-news-lite' ),
		'pos_footer_1'   => esc_html__( 'Footer 1', 'friday-news-lite' ),
		'pos_footer_2'   => esc_html__( 'Footer 2', 'friday-news-lite' ),
		'pos_footer_3'   => esc_html__( 'Footer 3', 'friday-news-lite' ),
		'pos_footer_4'   => esc_html__( 'Footer 4', 'friday-news-lite' )	
	));
}

function friday_news_lite_get_sidebars(){
	return apply_filters('friday_news_lite_get_sidebars', array(		
		'pos_top'        => 'sb_top',		
		'pos_middle'     => 'sb_middle',
		'pos_top_right'  => 'sb_top_right',
		'pos_right'      => 'sb_right',
		'pos_footer_1'   => 'sb_footer_1',
		'pos_footer_2'   => 'sb_footer_2',
		'pos_footer_3'   => 'sb_footer_3',
		'pos_footer_4'   => 'sb_footer_4'	
	));
}

function friday_news_lite_register_layouts( $options ) {
	$positions = friday_news_lite_get_positions();
	$sidebars  = friday_news_lite_get_sidebars();

	#1: Archive
	$one_post_in_row = array(
		'title'     => esc_html__( 'One post in row', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/one-post-in-row.png',
		'positions' => array(					
			'pos_top',
			'pos_middle',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$two_posts_in_row = array(
		'title'     => esc_html__( 'Two posts in row', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/two-posts-in-row.png',
		'positions' => array(					
			'pos_top',
			'pos_middle',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$three_posts_in_row = array(
		'title'     => esc_html__( 'Three posts in row', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/three-posts-in-row.png',
		'positions' => array(					
			'pos_top',
			'pos_middle',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$full_width = array(
		'title'     => esc_html__( 'Full width', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/full-width.png',
		'positions' => array(					
			'pos_top',
			'pos_middle',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$options['blog-layout']['positions'] = $positions;
	$options['blog-layout']['layouts'] = array(		
		'one-post-in-row'  => $one_post_in_row,
		'two-posts-in-row' => $two_posts_in_row,
		'three-post-in-row'  => $three_posts_in_row,
		'full-width'     => $full_width
	);
	$options['blog-layout']['default'] = array(
		'layout_id' => 'one-post-in-row',
		'sidebars'  => array(			
			'one-post-in-row'  => $sidebars,
			'two-posts-in-row' => $sidebars,
			'three-post-in-row'  => $sidebars,
			'full-width'     => $sidebars
		)
	);

	#2: Single
	$single_1 = array(
		'title'     => esc_html__( 'Single 1', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/single-1.png',
		'positions' => array(	
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$single_2 = array(
		'title'     => esc_html__( 'Single 2', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/single-2.png',
		'positions' => array(
			'pos_top_right',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

	$single_3 = array(
		'title'     => esc_html__( 'Single 3', 'friday-news-lite' ),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/single-3.png',
		'positions' => array(
			'pos_top_right',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);
	
	$options['post-layout']['positions'] = $positions;
	$options['post-layout']['layouts'] = array(
		'single-1'     => $single_1,
		'single-2'     => $single_2,
		'single-3'     => $single_3
	);
	$options['post-layout']['default'] = array(
		'layout_id' => 'single-1',
		'sidebars'  => array(
			'single-1'     => $sidebars,
			'single-2'     => $sidebars,
			'single-3'     => $sidebars
		)
	);

	#3: Static Page
	$page = array(
		'title'     => esc_html__('Page', 'friday-news-lite'),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/page.png',
		'positions' => array(
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

    $options['page-layout']['positions'] = $positions;
    $options['page-layout']['layouts'] = array(
        'page' => $page
    );
    $options['page-layout']['default'] = array(
		'layout_id' => 'page',
		'sidebars'  => array(
            'page' => $sidebars
        )
    );

    #4: Front Page
    $options['frontpage-layout']['positions'] = $positions;
    $options['frontpage-layout']['layouts'] = array(
        'page' => $page
    );
    $options['frontpage-layout']['default'] = array(
		'layout_id' => 'page',
		'sidebars'  => array(
            'page' => $sidebars,
        )
    );

	#5: Search Page
	$search = array(
		'title'     => esc_html__('Search', 'friday-news-lite'),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/one-post-in-row.png',
		'positions' => array(
			'pos_top',
			'pos_middle',
			'pos_right',
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);
    
    $options['search-layout']['positions'] = $positions;
    $options['search-layout']['layouts'] = array(
        'search-page' => $search
    );

    $options['search-layout']['default'] = array(
		'layout_id' => 'search-page',
		'sidebars'  => array(
            'search-page' => $sidebars
        )
	);

	#6: Error 404
	$error_404 = array(
		'title'     => esc_html__('Error page - 404', 'friday-news-lite'),
		'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/404.png',
		'positions' => array(			
			'pos_footer_1',
			'pos_footer_2',
			'pos_footer_3',
			'pos_footer_4'
		)
	);

    $options['error404-layout']['positions'] = $positions;
    $options['error404-layout']['layouts'] = array(
        'error-404' => $error_404
    );

    $options['error404-layout']['default'] = array(
		'layout_id' => 'error-404',
		'sidebars'  => array(
            'error-404' => $sidebars
        )
    );

	return $options;
}