<?php

add_filter( 'kopa_sidebar_default', 'friday_news_lite_set_sidebar_default' );

function friday_news_lite_set_sidebar_default( $options ) {	
    $options['sb_top']      = array(
        'name' => esc_html__( 'Top', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h5 class="widget-title st-5">',
        'after_title'   => '</h5>',
    );
    $options['sb_middle']   = array('name' => esc_html__( 'Middle', 'friday-news-lite'));
    $options['sb_top_right']    = array(
        'name' => esc_html__( 'Top Right', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="widget-title st-8">',
        'after_title'   => '</h3>'
    );
    $options['sb_right']    = array(
        'name' => esc_html__( 'Right', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h5 class="widget-title st-5">',
        'after_title'   => '<span class="divier"></span></h5>'
    );

    $options['sb_footer_1'] = array(
        'name' => esc_html__( 'Footer 1', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title st-6"><span class="content">',
        'after_title'   => '</span><span class="divier"></span></h4>'
    );
    $options['sb_footer_2'] = array(
        'name' => esc_html__( 'Footer 2', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title st-6"><span class="content">',
        'after_title'   => '</span><span class="divier"></span></h4>'
    );
    $options['sb_footer_3'] = array(
        'name' => esc_html__( 'Footer 3', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title st-6"><span class="content">',
        'after_title'   => '</span><span class="divier"></span></h4>'
    );
    $options['sb_footer_4'] = array(
        'name' => esc_html__( 'Footer 4', 'friday-news-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="widget-title st-6"><span class="content">',
        'after_title'   => '</span><span class="divier"></span></h4>'
    );
	
	return  apply_filters( 'friday_news_lite_set_sidebar_default', $options );
}

add_filter( 'kopa_sidebar_default_attributes', 'friday_news_lite_set_sidebar_default_attributes' );

function friday_news_lite_set_sidebar_default_attributes($wrap) {
	$wrap['before_widget'] = '<div id="%1$s" class="widget clearfix %2$s">';
	$wrap['after_widget']  = '</div>';
	$wrap['before_title']  = '<h3 class="widget-title">';
	$wrap['after_title']   = '</h3>';

	return $wrap;
}

/**
 * edit before-title & after-title for only layout Home-Page
 * @package  friday
 * @version 1.0.0
 * @return array $params
 */
function friday_news_lite_apply_sidebar_params_second($params){

    global $wp_registered_widgets;
    $widget_id      = $params[0]['widget_id'];
    $widget_obj     = $wp_registered_widgets[$widget_id];    
    $widget_opt     = get_option($widget_obj['callback'][0]->option_name);
    $widget_num     = $widget_obj['params'][0]['number'];

    $params[0]['before_title'] = '<header class="style6"><div class="header-wrap">';
    
    if(isset($widget_obj['callback'][0]->widget_id) && $widget_obj['callback'][0]->widget_id == 'friday_news_lite_toolkit-tweets-carousel'){
        $params[0]['before_title'] .= '<div class="icon-button">';
        $params[0]['before_title'] .= '<span class="twitter-icon fa fa-twitter"></span>';
        $params[0]['before_title'] .= '<span class="kopa-owl-prev"></span>';
        $params[0]['before_title'] .= '<span class="kopa-owl-next"></span>';
        $params[0]['before_title'] .= '</div>';
    }

    if(isset($widget_opt[$widget_num]['sub_title']) && !empty($widget_opt[$widget_num]['sub_title'])){
       $params[0]['before_title'] .= sprintf('<p class="friday-sub-title">%s</p>', wp_kses_post($widget_opt[$widget_num]['sub_title']));
    }
    
    $params[0]['before_title'] .= '<h3 class="widget-title">'; 
    $params[0]['after_title']  = '</h3></div></header>';
    
    return $params;
}

/**
 * edit before-title & after-title for only right sidebar (blog and singular)
 * @package  friday
 * @version 1.0.0
 * @return array $params
 */
function friday_news_lite_apply_sidebar_params_right($params){

    global $wp_registered_widgets;
    $widget_id      = $params[0]['widget_id'];
    $widget_obj     = $wp_registered_widgets[$widget_id];    
    $widget_opt     = get_option($widget_obj['callback'][0]->option_name);
    $widget_num     = $widget_obj['params'][0]['number'];

    $params[0]['before_title'] = '<h5 class="widget-title st-5"><span class="content">';
    
    if(isset($widget_opt[$widget_num]['sub_title']) && !empty($widget_opt[$widget_num]['sub_title'])){
       $params[0]['after_title'] = sprintf('</span><span>%s</span>', wp_kses_post($widget_opt[$widget_num]['sub_title']));
       $params[0]['after_title']  .= '<span class="divier"></span></h5>';
    }else{
        $params[0]['after_title']  = '</span><span class="divier"></span></h5>';
    }
    
    return $params;
}

/**
 * add text-field sub-title for all widget. This field only working with Appearance > Widget
 * @package  friday
 * @version 1.0.0
 * @return void
 */ 
function friday_news_lite_add_widget_field_sub_title($t, $return, $instance){    
    if(isset($instance['title']) && !empty($instance['title'])){        
        $id    = $t->get_field_id('sub_title');
        $name  = $t->get_field_name('sub_title');
        $value = isset($instance['sub_title']) ? $instance['sub_title'] : '';
        ?>
        <p>
            <label for="<?php echo esc_attr($id); ?>"><?php esc_html_e('Sub title:', 'friday-news-lite'); ?></label>
            <textarea name="<?php echo esc_attr($name); ?>" id="<?php echo esc_attr($id); ?>" class="widefat"><?php echo wp_kses_post($value);?></textarea>
            <small class="kopa-widget-desc"><?php esc_html_e('This option only display inside sidebar position: Right', 'friday-news-lite'); ?></small>
        </p>
        <?php
    }
}

/**
 * save custom-widget-field sub-title to database
 * @package  friday
 * @version 1.0.0
 * @return void
 */ 
function friday_news_lite_add_widget_field_sub_title_update($instance, $new_instance, $old_instance){
    $instance['sub_title'] = isset($new_instance['sub_title']) ? $new_instance['sub_title'] : '';
    return $instance;
}

/**
 * return a sidebar slug
 * @package  friday
 * @version 1.0.0
 * @return string $sidebar
 */ 
function friday_news_lite_set_sidebar($sidebar, $position){
    global $friday_news_lite_current_layout;
    
    if(!isset($friday_news_lite_current_layout) || empty($friday_news_lite_current_layout)){
        $friday_news_lite_current_layout = friday_news_lite_get_template_setting();
    }

    if(isset($friday_news_lite_current_layout['sidebars'][$position])){
        $sidebar = $friday_news_lite_current_layout['sidebars'][$position];
    }    

    return $sidebar;    
}

add_action( 'widgets_init', 'friday_news_lite_widgets_init' );
function friday_news_lite_widgets_init(){
   /**
    * Creates a sidebar
    * @param string|array  Builds Sidebar based off of 'name' and 'id' values.
    */
    $args = array(
        'name'          => esc_html__( 'Sidebar Extra', 'friday-news-lite' ),
        'id'            => 'sidebar_extra',
        'description'   => '',
        'class'         => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title"><span></span>',
        'after_title'   => '</h2>'
    );

    register_sidebar( $args );
}
