<?php 
$sb_top       = apply_filters('friday_news_lite_get_sidebar', 'sb_top', 'pos_top');
$sb_middle    = apply_filters('friday_news_lite_get_sidebar', 'sb_middle', 'pos_middle');
$sb_right     = apply_filters('friday_news_lite_get_sidebar', 'sb_right', 'pos_right');
?>
<div id="kopa-main-content">
    <div class="wrapper">
        <div class="top-page">
            <?php get_template_part( 'template/module/breadcrumb' ); ?>
            <!-- /.kopa-breadcrumb-->
            <?php         
                if (is_active_sidebar($sb_top)){
                    dynamic_sidebar($sb_top);    
                }
            ?>
        </div>
        <div class="main-page">
            <?php         
                if (is_active_sidebar($sb_middle)){
                    echo '<div class="widget-area-3">';
                        dynamic_sidebar($sb_middle);    
                    echo '</div>';
                }
            ?>
            <div class="kopa-row-15">
                <?php         
                    if (is_active_sidebar($sb_right)){
                        echo '<div class="main-col">';
                    }else{
                        echo '<div class="main-col full-width">';
                    }
                ?>
                    <div class="widget-area-7">
                        <div class="kopa-blog-list kopa-blog-list-2">
                            <div class="blog-list-content">
                                <?php if(have_posts()) : ?>
                                    <ul class="rs-ul">
                                        <?php while(have_posts()) : the_post(); ?>
                                            <li class="blog-list-item">
                                                <article class="entry-item">
                                                    <?php 
                                                    if(get_post_format() == 'gallery') : 
                                                        get_template_part( 'template/module/featured-gallery' );
                                                    elseif(get_post_format() == 'video') :
                                                        get_template_part( 'template/module/featured-video' );
                                                    elseif(get_post_format() == 'audio') :
                                                        get_template_part( 'template/module/featured-audio' );
                                                    elseif(get_post_format() == 'quote') :
                                                        get_template_part( 'template/module/featured-quote' );
                                                    else :
                                                        get_template_part( 'template/module/featured' );
                                                    endif; 
                                                    ?>
                                                    <div class="entry-box">
                                                        <?php echo friday_news_lite_get_first_cat('categories'); ?>
                                                        <h4 class="entry-title st-12"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                                        <?php the_excerpt(); ?>
                                                        <span class="entry-time"><?php echo get_the_date(get_option('date-format')); ?></span>
                                                    </div>
                                                </article>
                                            </li>
                                        <?php endwhile; ?>
                                    </ul>
                                    <?php get_template_part( 'pagination' ); ?>
                                <?php else: ?>
                                    <div class="search-not-found-wrap">
                                        <h1>Nothing Found</h1>
                                        <p>Sorry, but nothing matched your search terms. Please try again with some different keywords.</p>
                                        <form method="get" class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
                                            <label><input type="search" placeholder="Search..." type="text" value="<?php echo get_search_query(); ?>" name="s" id="s" class="search-field"></label>
                                            <input type="submit" value="Search">
                                        </form>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.main-col-->
                <?php         
                    if (is_active_sidebar($sb_right)){
                        echo '<aside class="sidebar"><div class="widget-area-10">';
                            add_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');
                            dynamic_sidebar($sb_right);    
                            remove_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');
                        echo '</div></aside>';
                    }
                ?>
                <!-- /.sidebar-->
            </div>
        </div>
    </div>
</div>