<?php
$is_enable_about_author = (int) get_theme_mod('is-enable-about-author', 1);

if(!$is_enable_about_author)
    return;
global $post;

$user_id         = $post->post_author;
$description     = get_the_author_meta('description', $user_id);
$email           = get_the_author_meta('user_email', $user_id);
$name            = get_the_author_meta('display_name', $user_id);
$url             = trim(get_the_author_meta('user_url', $user_id));
$link            = ($url) ? $url : get_author_posts_url($user_id);
$facebook_url    = get_the_author_meta('facebook', $user_id);
$twitter_url     = get_the_author_meta('twitter', $user_id);
$google_plus_url = get_the_author_meta('gplus', $user_id);
$pinterest_url   = get_the_author_meta('pinterest', $user_id);
?>
	<div class="single-post-author">
        <a href="<?php echo esc_url($link); ?>" class="author-avatar">
        	<?php echo get_avatar($email, 50); ?>
        </a>
        <?php if( $url ) : ?>
            <span class="wrap-name"><?php esc_html_e('Witten by', 'friday-news-lite'); ?><a href="<?php echo esc_attr( $url ); ?>"><?php echo wp_kses_post($name); ?></a></span>
        <?php else : ?>
            <span class="wrap-name"><?php esc_html_e('Witten by', 'friday-news-lite'); ?><?php the_author_posts_link(); ?></span>
        <?php endif; ?>
        <?php if($facebook_url || $twitter_url || $google_plus_url || $pinterest_url) : ?>
            <ul class="social-box">
                <?php if($facebook_url) : ?>
                    <li><a target="_blank" rel="nofollow" href="<?php echo esc_url( $facebook_url ); ?>"><i class="fa fa-facebook"></i></a></li>
                <?php endif; ?>

                <?php if($twitter_url) : ?>
                    <li><a target="_blank" rel="nofollow" href="<?php echo esc_url( $twitter_url ); ?>"><i class="fa fa-twitter"></i></a></li>
                <?php endif; ?>

                <?php if($google_plus_url) : ?>
                    <li><a target="_blank" rel="nofollow" href="<?php echo esc_url( $google_plus_url ); ?>"><i class="fa fa-google-plus"></i></a></li>
                <?php endif; ?>

                <?php if($pinterest_url) : ?>
                    <li><a target="_blank" rel="nofollow" href="<?php echo esc_url( $pinterest_url ); ?>"><i class="fa fa-pinterest"></i></a></li>
                <?php endif; ?>
            </ul>
        <?php endif; ?>
        <div class="clearfix"></div>
        <?php if($description) : ?>
	        <p class="author-des"><?php echo wp_kses_post($description); ?></p>
	    <?php endif; ?>
    </div>