<?php
$is_enable_related_posts = (int) get_theme_mod('is-enable-related-posts', 1);

if(!$is_enable_related_posts)
    return;

$get_by = get_theme_mod('single-post-related-by', 'post_tag');
$limit  = (int) get_theme_mod('single-post-related-limit', 6);

if ($limit > 0) {
    global $post;
    $taxs = array();

    if ('category' == $get_by) {
        $cats = get_the_category($post->ID);
        if ($cats) {
            $ids = array();
            foreach ($cats as $cat) {
                $ids[] = $cat->term_id;
            }
            $taxs [] = array(
				'taxonomy' => 'category',
				'field'    => 'id',
				'terms'    => $ids
            );
        }
    } else if ('post_tag' == $get_by) {
        $tags = get_the_tags($post->ID);
        if ($tags) {
            $ids = array();
            foreach ($tags as $tag) {
                $ids[] = $tag->term_id;
            }
            $taxs [] = array(
				'taxonomy' => 'post_tag',
				'field'    => 'id',
				'terms'    => $ids
            );
        }
    }

    if ($taxs) {
        $related_args = array(
			'post_type'      => array($post->post_type),
			'tax_query'      => $taxs,
			'post__not_in'   => array($post->ID),
			'posts_per_page' => $limit
        );

        $related_posts = new WP_Query($related_args);
        if ($related_posts->have_posts()):
            ?>  
            <div class="related-posts">
                <h3 class="widget-title st-8"><span class="content"><?php esc_html_e('related post', 'friday-news-lite'); ?></span>
                <a href="#" class="btn prev"><i class="fa fa-caret-left"></i></a>
                <a href="#" class="btn next"><i class="fa fa-caret-right"></i></a>
                <span class="divier"></span>
               </h3>
                <div class="row">
                    <div class="kopa-owl-carousel loader">
                        <div data-slider-item='2' data-slider-auto="false" data-slider-navigation="false" data-slider-pagination="false" class="kopa-owl-content owl-theme">
                            <?php while ($related_posts->have_posts()): $related_posts->the_post(); ?>
                                <article class="entry-item">
                                    <div class="entry-thumb">
                                        <div class="thumb-icon image">
                                            <div class="inner">
                                                <?php echo friday_news_lite_get_icon_by_post_format(); ?>
                                            </div>
                                        </div>
                                        <?php do_action('friday_news_lite_socials_share_cat'); ?>
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_post_thumbnail( 'friday_news-related-posts-350x230' );?>
                                        </a>
                                        <?php echo friday_news_lite_get_first_cat(get_the_id(),'categories'); ?>
                                    </div>
                                    <h5 class="entry-title st-7">
                                        <a href="<?php the_permalink(); ?>"><?php if( get_the_title( get_the_id() ) ) { echo get_the_title( get_the_id() ); } else { esc_html_e('No Title', 'friday-news-lite'); }; ?></a>
                                    </h5>
                                </article>
                            <?php endwhile; ?>
                        </div>
                    </div>
                </div>
            </div>                           
            <?php
        endif;
        wp_reset_postdata();
    }
}