<?php 
$sb_top_right = apply_filters('friday_news_lite_get_sidebar', 'sb_top_right', 'pos_top_right');
$sb_right     = apply_filters('friday_news_lite_get_sidebar', 'sb_right', 'pos_right');
?>
<div id="kopa-main-content">
    <div class="wrapper">
        <?php 
        $post_format = get_post_format();
        $custom      = get_post_meta( get_the_id(), 'friday_custom', true );
        $url_audio   = friday_news_lite_get_url_embed_string( $custom, 'audio' );
        $url_video   = friday_news_lite_get_url_embed_string( $custom, 'video' );
        $gallery     = get_post_meta(get_the_ID(), 'friday_gallery', true);
        $quote       = get_post_meta( get_the_id(), 'friday_quote', true );
        if ( $post_format == 'gallery' && $gallery || $post_format == 'audio' && $url_audio || $post_format == 'video' && $url_video || $post_format == 'quote' && $quote || has_post_thumbnail() ) : ?>
            <div class="top-page f_background">
        <?php else : ?>
            <div class="top-page">
        <?php endif; ?>
            <?php get_template_part( 'template/module/breadcrumb' ); ?>
            <!-- /.kopa-breadcrumb-->
            <?php 
            $featured_status = get_post_meta( get_the_id(), 'friday_featured_status', true );
            if( $featured_status == 'show' ) :
            ?>
                <?php if ( $post_format == 'gallery' && $gallery || $post_format == 'audio' && $url_audio || $post_format == 'video' && $url_video || $post_format == 'quote' && $quote || has_post_thumbnail() ) : ?>
                    <div class="friday-featured">
                        <?php 
                            if(get_post_format() == 'gallery') : 
                                get_template_part( 'template/module/featured-gallery' );
                            elseif(get_post_format() == 'video') :
                                get_template_part( 'template/module/featured-video' );
                            elseif(get_post_format() == 'audio') :
                                get_template_part( 'template/module/featured-audio' );
                            elseif(get_post_format() == 'quote') :
                                get_template_part( 'template/module/featured-quote' );
                            else :
                                get_template_part( 'template/module/featured' );
                            endif; 
                        ?>
                    </div>
                <?php endif; ?>
            <?php endif; ?>
        </div>
        <div class="main-page main-page-single">
            <div class="kopa-row-15">
                <?php         
                    if (is_active_sidebar($sb_top_right) || is_active_sidebar($sb_right)){
                        echo '<div class="main-col">';
                    }else{
                        echo '<div class="main-col full-width">';
                    }
                ?>
                    <div class="kopa-single-page-content">
                        <?php if (have_posts()): while (have_posts()) : the_post(); ?>  
                            <div class="single-post-top">
                                <h1 class="single-post-title"><?php the_title(); ?></h1>
                                <?php get_template_part('template/module/single/metadata'); ?>
                            </div>
                            <div class="single-post-middle">
                                <?php the_content(); ?>
                            </div>
                            <div class="single-post-bottom">
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6">
                                        <?php
                                            wp_link_pages(array(
                                                'before'           => '<div class="kopa-page-links">',
                                                'after'            => '</div>',
                                                'link_before'      => '<span>',
                                                'link_after'       => '</span>',
                                                'next_or_number'   => 'number',
                                                'nextpagelink'     => '<i class="fa fa-caret-right"></i>',
                                                'previouspagelink' => '<i class="fa fa-caret-left"></i>',
                                            ));
                                        ?>
                                    </div>
                                    <?php get_template_part('template/module/single/tag'); ?>
                                </div>
                            </div>
                            <?php get_template_part('template/module/single/other-posts'); ?>
                            <?php get_template_part('template/module/single/author'); ?>
                            <?php if(comments_open()){
                                    comments_template();
                                }
                            ?>
                        <?php endwhile; endif; ?>
                    </div>
                </div>
                <!-- /.main-col-->
                <?php         
                    if (is_active_sidebar($sb_top_right) || is_active_sidebar($sb_right)){
                        echo '<aside class="sidebar">';
                        if(is_active_sidebar($sb_top_right )){
                            echo '<div class="widget-area-9">';
                                dynamic_sidebar($sb_top_right); 
                            echo '</div>';
                        }
                        if(is_active_sidebar($sb_right )){
                            echo '<div class="widget-area-10">';
                                add_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');
                                dynamic_sidebar($sb_right);    
                                remove_filter('dynamic_sidebar_params', 'friday_news_lite_apply_sidebar_params_right');   
                            echo '</div>';
                        }
                        echo '</aside>';
                    }
                ?>
                <!-- /.sidebar-->
            </div>
        </div>
    </div>
</div>